#
# Conditional build:
%bcond_without	tests	# unit tests

Summary:	A dot-accessible dictionary (a la JavaScript objects)
Summary(pl.UTF-8):	Słownik dostępny przez kropkę (jak obiekty JavaScriptu)
Name:		python3-munch
Version:	4.0.0
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/munch/
Source0:	https://files.pythonhosted.org/packages/source/m/munch/munch-%{version}.tar.gz
# Source0-md5:	4e70cf760e3b81dcaa6050803c1dbd72
Patch0:		Adjust-tests-for-Python-3.13.patch
URL:		https://pypi.org/project/munch/
BuildRequires:	python3-modules >= 1:3.5
BuildRequires:	python3-pbr >= 3.0
BuildRequires:	python3-setuptools >= 1:17.1
%if %{with tests}
BuildRequires:	python3-PyYAML >= 5.1.0
BuildRequires:	python3-pytest
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Munch is a dictionary that supports attribute-style access, a la
JavaScript.

%description -l pl.UTF-8
Munch to słownik obsługujący dostęp w stylu atrybutów, jak w
JavaScripcie.

%prep
%setup -q -n munch-%{version}
%patch -P0 -p1

%build
%py3_build

%if %{with tests}
# use explicit plugins list for reliable builds (delete PYTEST_PLUGINS if empty)
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS= \
%{__python3} -m pytest tests
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGELOG.md ChangeLog LICENSE.txt README.md
%{py3_sitescriptdir}/munch
%{py3_sitescriptdir}/munch-%{version}-py*.egg-info
%changelog
* Mon Jun 02 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-munch.git;a=log;h=master

* Mon Jun 02 2025 Jan Rękorajski <baggins@pld-linux.org> 7d37c70
- up to 4.0.0

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 51df4d9
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 01bbee0
- python 3.13 rebuild

* Mon Feb 12 2024 Jakub Bogusz <qboosh@pld-linux.org> 6bbc872
- new

